<div [matTooltip]="valueText" fxLayout="row" fxLayoutAlign="start center" matTooltipPosition="right">

  <button (click)="rate(star)" *ngFor="let star of stars; let i = index" [disabled]="disabled" class="star"
          fxFlex="40px" mat-icon-button>

    <ng-template [ngIf]="rating >= i + 1">
      <mat-icon>star</mat-icon>
    </ng-template>

    <ng-template [ngIf]="rating < i + 1">
      <mat-icon>star_border</mat-icon>
    </ng-template>

  </button>

</div>
